import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const balFormGridCss = ".bal-form-grid{display:-ms-flexbox;display:flex;-ms-flex-direction:column;flex-direction:column;row-gap:.25rem}@media screen and (min-width: 1024px){.bal-form-grid{-ms-flex-direction:row;flex-direction:row}}.bal-form-grid.columns{margin-top:0 !important;margin-bottom:0 !important}";

const FormGrid = /*@__PURE__*/ proxyCustomElement(class FormGrid extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        return (h(Host, { key: '7dd05e54b6f2070956b4630a542c249734981731', class: `bal-form-grid grid is-multiline my-none py-none` }, h("slot", { key: 'd9490a9e4153d985dad9258dc795ea1b092930f4' })));
    }
    static get style() { return balFormGridCss; }
}, [260, "bal-form-grid"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-form-grid"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-form-grid":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, FormGrid);
            }
            break;
    } });
}

const BalFormGrid = FormGrid;
const defineCustomElement = defineCustomElement$1;

export { BalFormGrid, defineCustomElement };
